#include <config.h>
module main_wloops_class
  use constants_module
  use lattice_class
  use config_profile_class
  use field_gauge_class
  implicit none
  private
  public read_config
  public convert

contains

#include "./read_config.h90"

subroutine convert(u,ue,uo)
  type(vfield_gluon_wg), intent(in) :: u
  complex(DP), intent(inout) :: ue(COL,COL,0:NTH,0:NZ1,0:NY1,0:NX1,NDIM)
  complex(DP), intent(inout) :: uo(COL,COL,0:NTH,0:NZ1,0:NY1,0:NX1,NDIM)
  integer :: ix,iy,iz,ith,ic,jc,mu
  do mu=1,NDIM
    do ix=0,NX1
    do iy=0,NY1
    do iz=0,NZ1
      do ith=0,NTH
        do jc=1,COL
        do ic=1,COL
          ue(ic,jc,ith,iz,iy,ix,mu) = u%eo(0)%mu(mu)%s(ith,iz,iy,ix)%u(ic,jc)
          uo(ic,jc,ith,iz,iy,ix,mu) = u%eo(1)%mu(mu)%s(ith,iz,iy,ix)%u(ic,jc)
        enddo
        enddo
      enddo
    enddo
    enddo
    enddo
  enddo
  return
end subroutine

end module
