#include <config.h>
module gamma_matrix_class
  use lattice_class
  implicit none
  private
  public :: gamma_matrix_obj
  public :: new,zgm,igm,NOP

  integer, parameter :: NOP=NDIM*NDIM
!  complex(8), parameter :: z0=(0.0d0,0.0d0),z1=(1.0d0,0.0d0),zi=(0.0d0,1.0d0)
  integer,      save :: igm(SPIN,0:NOP-1)
  complex(DP),   save :: zgm(SPIN,0:NOP-1)

  type gamma_matrix_obj
    integer :: status=0
    integer :: idummy(3)
  end type


  interface new
    module procedure new_gamma_matrix 
  end interface

contains

subroutine new_gamma_matrix(this)
  implicit none
  type(gamma_matrix_obj), intent(inout) :: this

#include "gamma_matrix.h90"

  this%status=1

  return
end subroutine

end module
